Eclipse GEF 3.2

## org.eclipse.gef.editparts
Class AbstractEditPart.EditPolicyIterator

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator

Enclosing class:
  AbstractEditPart

protected static class AbstractEditPart.EditPolicyIterator
extends Object

Iterates over a `List` of EditPolcies, skipping any `null` values encountered.

Constructor Summary
`AbstractEditPart.EditPolicyIterator(List list)` Deprecated. this constructor should not be used

Method Summary
`boolean` `hasNext()` Returns `true` if there is a next edit policy.
`EditPolicy` `next()` Returns the next non-`null` EditPolicy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEditPart.EditPolicyIterator

    public AbstractEditPart.EditPolicyIterator(List list)

  Deprecated. this constructor should not be used

  Constructs an Iterator for the given `List`.

Parameters:
  `list` - the list of policies.

Method Detail

### next

    public EditPolicy next()

  Returns the next non-`null` EditPolicy.

  Returns:
    the next non-`null` EditPolicy.

### hasNext

    public boolean hasNext()

  Returns `true` if there is a next edit policy.

  Returns:
    `true` if there is a next policy

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.